<template>

  <!-- Example toaster -->
  <div id="_example-toaster">

    <!-- Use transition-group here to trigger transition for each toast -->
    <transition-group
      name="_example-toast-transition"
      tag="div"
      mode="in-out"
      enter-active-class="animated bounceInUp"
      leave-active-class="animated fadeOut _fast"
    >

      <!-- Toasts -->
      <Toast
        v-for="toast in toasts"
        :key="toast.id"
        :variant="toast.meta.variant || 'primary'"
        :toast="toast"
        :no-close="toast.noClose"
      >

        <!-- If toast content string -> simple div -->
        <div v-if="typeof toast.content === 'string'">
          {{ toast.content }}
        </div>

        <!-- Else, mount custom component -->
        <component
          v-else
          :is="toast.content"
          :toast="toast"
        ></component>

      </Toast>

    </transition-group>

  </div>

</template>

<script>
// Components
import BaseToaster from './BaseToaster.vue'
/**
 * **ExampleToaster** component
 */
export default {
  name: 'ExampleToaster',
  extends: BaseToaster,
  toaster: 'Example'
}
</script>

<!-- <style lang="scss">
#_example-toaster {
  width: 100%;
  display: flex;
  position: fixed;
  top: 14px;
  padding: 6px;
  // @apply w-full;
  // @apply flex flex-col;
  // @apply fixed;
  // @apply top-14;
  // @apply p-2;
  // z-index: 1;

  // ._example-toast-transition-enter {
  //   opacity: 0;
  //   z-index: 1;
  // }

  // ._example-toast-transition-enter-to {
  //   opacity: 1;
  //   z-index: 1;
  // }

  // ._example-toast-transition-leave {
  //   opacity: 1;
  //   z-index: 1;
  // }

  // ._example-toast-transition-leave-to {
  //   opacity: 0;
  //   z-index: 1;
  //   margin-bottom: -56px;
  //   transition: margin-bottom 350ms ease-out 500ms;
  // }
}
</style> -->
